Subject: Re: SSH and Cygwin 1.1.6
From: [email-masked] (Henry S. Thompson)
To: "Erdely, Michael" <[email-masked]>
Cc: <[email-masked]>
Date: 08 Dec 2000 12:07:27 +0000

"Erdely, Michael" <[email-masked]> writes:

> I've been getting a lot of personal emails regarding this problem.
> I've experienced it too with my Windows 2000 Server/Pro machines running a
> fresh install of Cygwin with the 1.1.6 DLL and OpenSSH 2.3.0p1-1 running
> under INETD as the System account.  I get the stack dump and the Dr. Watson
> errors.  Installing Cygwin 1.1.5 fixes the problem every time.
> 
> Corinna, in http://sources.redhat.com/ml/cygwin/2000-11/msg01369.html, asked
> for more info, but I haven't had time to provide it.  Since I'm up and
> running with the 1.1.5 DLL, I haven't been too pressed to look into it
> further.

Corinna wrote:

> No. More input. The stack trace isn't too instructive. You should
> debug that problem by starting `sshd -d' on the command line.
> and on the client side `ssh -v localhost'. This might give you a hint.
> The first line in the exceptionoutput is strange:

So I have this problem too.  I stopped the inetd service, ran
/usr/sbin/sshd -d, discovered that at some point the relevant files
should have been moved from /usr/local/etc to /etc, moved them,
connection works fine.

Restarted inetd, tried to connect, same crash.

Rebooted, in case inetd had somehow preserved some state, that works.

So, fix is to

> cp /usr/local/etc/*ssh* /etc

and reboot.

ht
-- 
  Henry S. Thompson, HCRC Language Technology Group, University of Edinburgh
          W3C Fellow 1999--2001, part-time member of W3C Team
     2 Buccleuch Place, Edinburgh EH8 9LW, SCOTLAND -- (44) 131 650-4440
	    Fax: (44) 131 650-4587, e-mail: [email-masked]
		     URL: http://www.ltg.ed.ac.uk/~ht/

--
Want to unsubscribe from this list?
Send a message to [email-masked]